Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:           linuxwacom
Summary:	wacom tablet drivers and utilities
URL:		http://linuxwacom.sourceforge.net/
License:	LGPL/GPL2
Version:	0.8.2
Release:	1
#Epoch:		0
Group:		System/Configuration/Hardware	
BuildRoot:      %{_tmppath}/%{name}-buildroot
# Sources:
Source:		%{name}-%{version}.tar.bz2
Source200:      60-wacom.rules
Source201:	10-linuxwacom.fdi
# Patches:
# honor X CFLAGS
Patch1:         linuxwacom-0.7.8.3-sdk-me-harder.patch
# fix gcc 4.3 compilation
Patch2:         linuxwacom-0.7.9.7-fix_build.patch
# fix compilation with X server 1.6
Patch3:         linuxwacom-0.8.0.3-build-fixes.patch

#Requires:
	
#BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXi-devel
BuildRequires: ncurses-devel

%description
The Linux Wacom Project manages the drivers, libraries, and documentation for configuring and running Wacom tablets under the Linux operating system. It contains diagnostic applications as well as Xorg XInput drivers.

%package        devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description    devel
Header and include files for developing applications with %{name}.


%package -n xorg-x11-drv-wacom
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}
%description -n xorg-x11-drv-wacom
X.Org X11 wacom tablet input driver from the linuxwacom project.


%pre

%preun

%post
ldconfig

%postun
ldconfig
%prep
%setup -n %{name}-%{version}
%patch1 -p1 -b .sdk
%patch2 -p1
# patch needed for X server 1.6, so we keep it
# but don't apply yet
#%patch3 -p1 -b .buildfixes

%build
./bootstrap
./configure --prefix=%_prefix \
	    --mandir=%_mandir \
	    --disable-debug \
	    --enable-dlloader \
            --without-tcl \
	    --without-tk 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'
# system integration

# udev
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d
install -m 0644 %{SOURCE200} $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/60-wacom.rules
# hal
mkdir -p $RPM_BUILD_ROOT%{_datadir}/hal/fdi/policy/20thirdparty
install -m 0644 %{SOURCE201} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/policy/20thirdparty

%files
%defattr(-,root,root)
%{_bindir}/
%{_mandir}/
%{_libdir}/*.so.*
%{_sysconfdir}/udev/rules.d/60-wacom.rules
%{_datadir}/hal/fdi/policy/20thirdparty/10-linuxwacom.fdi

%files devel
%defattr(-,root,root)
%{_includedir}
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%files -n xorg-x11-drv-wacom
%defattr(-,root,root)
%{_libdir}/xorg/modules/input/wacom_drv.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Dec 23 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.8.2-1
- initial CCux package release
